Skip to main content
GET
/
payments
/
integration-banks
Fetch Saved Banks
curl --request GET \
  --url https://api.breet.io/v1/payments/integration-banks \
  --header 'X-Breet-Env: <api-key>' \
  --header 'x-app-id: <api-key>' \
  --header 'x-app-secret: <api-key>'
{
  "message": "data fetched",
  "success": true,
  "data": [
    {
      "id": "69737920df8b52679a8b198e",
      "account": "69547e78ab637caab7d7839c",
      "user": "68ca0d24604d65932aac2fc8",
      "accountName": "CHIROMA AHMED OLABANJI",
      "accountNumber": "3154021148",
      "autoSettlement": false,
      "bankId": "39",
      "bankName": "United Bank For Africa",
      "createdAt": "2026-01-23T13:35:27.948Z",
      "currency": "ngn",
      "disabled": false,
      "integration": "692d994b7ca6e4da422363fb",
      "isBusiness": true,
      "narration": "Breet withdrawal",
      "type": "nuban",
      "updatedAt": "2026-01-23T13:35:27.948Z"
    },
    {
      "id": "696a6357dd13b3647ce92145",
      "account": "67b7aa056ea7a058534bf404",
      "user": "68ca0d24604d65932aac2fc8",
      "accountName": "CHIROMA AHMED OLABANJI",
      "accountNumber": "8029201214",
      "anchorCounterPartyId": "17400898642731-anc_cp",
      "autoSettlement": false,
      "bankId": "25",
      "bankName": "OPay - Paycom",
      "createdAt": "2026-01-16T16:12:06.950Z",
      "currency": "ngn",
      "disabled": false,
      "integration": "692d994b7ca6e4da422363fb",
      "isBusiness": true,
      "narration": "Breet payout account",
      "type": "nuban",
      "updatedAt": "2026-01-16T16:12:06.950Z"
    }
  ],
  "meta": {
    "pages": 1,
    "prevPage": null,
    "nextPage": null,
    "page": 1,
    "totalDocs": 2,
    "hasPrevPage": false,
    "hasNextPage": false
  },
  "summary": {},
  "stats": {}
}

Authorizations

x-app-id
string
header
required

Your application ID from the Breet dashboard

x-app-secret
string
header
required

Your application secret from the Breet dashboard

X-Breet-Env
string
header
required

Environment selector: development or production

Query Parameters

page
integer

Page number (1-indexed)

size
integer

Number of items per page

Response

200 - application/json

List of integration banks returned successfully